Debian Bug report logs - #202869
mutt should recommand and not depend mail-transport-agent

Package: mutt; Maintainer for mutt is Antonio Radici <antonio@dyne.org>; Source for mutt is src:mutt.

Reported by: Andreas Jellinghaus <aj@dungeon.inka.de>

Date: Fri, 25 Jul 2003 17:48:03 UTC

Severity: wishlist

Done: "Artur R. Czechowski" <arturcz@hell.pl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#202869; Package mutt. Full text and rfc822 format available.

Acknowledgement sent to Andreas Jellinghaus <aj@dungeon.inka.de>:
New Bug report received and forwarded. Copy sent to Marco d'Itri <md@linux.it>.

Your message specified a Severity: in the pseudo-header, but the severity value low was not recognised. The default severity normal is being used instead. The recognised values are: critical, grave, serious, important, normal, minor, wishlist, fixed.

Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Jellinghaus <aj@dungeon.inka.de>
To: submit@bugs.debian.org
Subject: mutt should recommand and not depend mail-transport-agent
Date: 25 Jul 2003 19:38:14 +0200
Package: mutt
Severity: low

http://www.debian.org/doc/debian-policy/ch-relationships.html
...
The Depends field should be used if the depended-on package is required
for the depending package to provide a significant amount of
functionality.
...
The Recommends field should list packages that would be found together
with this one in all but unusual installations.
...

It surely is unusual to install mutt for reading mbox files
only, but it is a valid use, and mutt works fine without
mail-transport-agent. Because of that the dependency on
mail-transport-agent should be changed into a recommendation.

Regards, Andreas




Severity set to `wishlist'. Request was from "Artur R. Czechowski" <arturcz@artinf.pl> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Andreas Jellinghaus <aj@dungeon.inka.de>:
Bug#202869. Full text and rfc822 format available.

Message #10 received at 202869-submitter@bugs.debian.org (full text, mbox):

From: "Artur R. Czechowski" <arturcz@hell.pl>
To: 202869-submitter@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Should MUA only Recommend mail-transfer-agent?
Date: Tue, 5 Aug 2003 19:21:00 +0200
Hello

I've found your bugreport:
http://bugs.debian.org/202869

I see no issue to not depending mutt on mail-transfer-agent.

Mutt as is, is a software for reading, writing and sending emails.
And to provide a full functionality it needs a kind of transfer-agent.

I am not convinced to only Recommend on mail-transfer-agent. I rather
tend to closing this wishitem or tag it as wontfix.

OTOH this case concerns not only mutt but also other MUA's. Feel free
to discuss it on debian-devel mailing list or propose a changes
to Debian Packaging Policy. I will leave this wishitem open until
an agreement is reached.

Regards
	Artur
-- 
Artur R. Czechowski <arturcz@hell.pl>



Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#202869; Package mutt. Full text and rfc822 format available.

Acknowledgement sent to Bernd Eckenfels <lists@lina.inka.de>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #15 received at 202869@bugs.debian.org (full text, mbox):

From: Bernd Eckenfels <lists@lina.inka.de>
To: 202869@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Should MUA only Recommend mail-transfer-agent?
Date: Tue, 5 Aug 2003 20:00:03 +0200
On Tue, Aug 05, 2003 at 07:21:00PM +0200, Artur R. Czechowski wrote:
> OTOH this case concerns not only mutt but also other MUA's. Feel free
> to discuss it on debian-devel mailing list or propose a changes
> to Debian Packaging Policy. I will leave this wishitem open until
> an agreement is reached.

There are enough SMTP/POP3 MUAs which do not need any MTA infrastructure on
the local host, whatsoever. Mutt can fetch by pop-3, but I think it has no
smtp support build in, or?

Greetings
Bernd
-- 
  (OO)      -- Bernd_Eckenfels@Wendelinusstrasse39.76646Bruchsal.de --
 ( .. )  ecki@{inka.de,linux.de,debian.org} http://home.pages.de/~eckes/
  o--o     *plush*  2048/93600EFD  eckes@irc  +497257930613  BE5-RIPE
(O____O)  When cryptography is outlawed, bayl bhgynjf jvyy unir cevinpl!



Message sent on to Andreas Jellinghaus <aj@dungeon.inka.de>:
Bug#202869. Full text and rfc822 format available.

Message #18 received at 202869-submitter@bugs.debian.org (full text, mbox):

From: Gunnar Wolf <gwolf@gwolf.cx>
To: "Artur R. Czechowski" <arturcz@hell.pl>
Cc: 202869-submitter@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Should MUA only Recommend mail-transfer-agent?
Date: Tue, 5 Aug 2003 12:56:36 -0500
[Message part 1 (text/plain, inline)]
Artur R. Czechowski dijo [Tue, Aug 05, 2003 at 07:21:00PM +0200]:
> Hello
> 
> I've found your bugreport:
> http://bugs.debian.org/202869
> 
> I see no issue to not depending mutt on mail-transfer-agent.
> 
> Mutt as is, is a software for reading, writing and sending emails.
> And to provide a full functionality it needs a kind of transfer-agent.
> 
> I am not convinced to only Recommend on mail-transfer-agent. I rather
> tend to closing this wishitem or tag it as wontfix.
> 
> OTOH this case concerns not only mutt but also other MUA's. Feel free
> to discuss it on debian-devel mailing list or propose a changes
> to Debian Packaging Policy. I will leave this wishitem open until
> an agreement is reached.

I agree with Andreas. On one hand, I have used mutt to read a mbox file
I have lying around while flying - it does not require a MTA to work. On
the other hand, mutt can work in a more mundane environment with a
remote IMAP server. Yes, a MTA is required to send mail, and is thus
strongly recommended - but not having one does not render the package
unusable, so it is not really depending on it.

Greetings,

-- 
Gunnar Wolf - gwolf@gwolf.cx - (+52-55)5630-9700 ext. 1366
PGP key 1024D/8BB527AF 2001-10-23
Fingerprint: 0C79 D2D1 2C4E 9CE4 5973  F800 D80E F35A 8BB5 27AF
[Message part 2 (application/pgp-signature, inline)]

Message sent on to Andreas Jellinghaus <aj@dungeon.inka.de>:
Bug#202869. Full text and rfc822 format available.

Message #21 received at 202869-submitter@bugs.debian.org (full text, mbox):

From: "Artur R. Czechowski" <arturcz@hell.pl>
To: 202869-submitter@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Should MUA only Recommend mail-transfer-agent?
Date: Tue, 5 Aug 2003 21:42:43 +0200
[Message part 1 (text/plain, inline)]
On Tue, Aug 05, 2003 at 08:00:03PM +0200, Bernd Eckenfels wrote:
> There are enough SMTP/POP3 MUAs which do not need any MTA infrastructure on
> the local host, whatsoever.
But there are some important packages which depends on MTA directly, like:
at, cron, debconf, logrotate, mailx.

I can imagine a workstation without those packages but it is, IMO,
mutilated box.

> Mutt can fetch by pop-3, but I think it has no
> smtp support build in, or?
Mutt has no support for SMTP.

BTW, there is no need for exim4-daemon-heavy. There are other lightweight
MTA's.

Another solution is to prepare a dummy-mta package, which only
provides mail-transfer-agent and required by policy /usr/sbin/sendmail
and /usr/bin/newaliases binaries to do nothing[1].

Advanced Debian users has another opportunity to solve this problem: equivs.

I would like to know Md's opinion, but for me there are no reasons to relax
dependencies for mutt (and other MUA). I would not like to do it without
policy requirements because it concerns also other MUA's.

I, personally, like the dummy-mta solution, however nullmailer also looks
good.

Cheers
	Artur

[1] maybe logging to syslog will be good.
-- 
http://hell.pl/arturcz/
[Message part 2 (application/pgp-signature, inline)]

Message sent on to Andreas Jellinghaus <aj@dungeon.inka.de>:
Bug#202869. Full text and rfc822 format available.

Message #24 received at 202869-submitter@bugs.debian.org (full text, mbox):

From: Erik Steffl <steffl@bigfoot.com>
To: 202869-submitter@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Should MUA only Recommend mail-transfer-agent?
Date: Tue, 05 Aug 2003 13:27:08 -0700
Artur R. Czechowski wrote:
> On Tue, Aug 05, 2003 at 08:00:03PM +0200, Bernd Eckenfels wrote:
> 
>>There are enough SMTP/POP3 MUAs which do not need any MTA infrastructure on
>>the local host, whatsoever.
> 
> But there are some important packages which depends on MTA directly, like:
> at, cron, debconf, logrotate, mailx.
> 
> I can imagine a workstation without those packages but it is, IMO,
> mutilated box.
...

  it's strange for MUA to require MTA, lot of them support IMAP (for 
viewing email) and SMTP (for sending email), both of which can be on 
remote servers. So why MTA on local box?

  Yes, there are other reasons to have MTA on box (non related to MUA) 
but that's irrelevant.

	erik




Information stored:
Bug#202869; Package mutt. Full text and rfc822 format available.

Acknowledgement sent to Andreas Jellinghaus <aj@dungeon.inka.de>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #29 received at 202869-quiet@bugs.debian.org (full text, mbox):

From: Andreas Jellinghaus <aj@dungeon.inka.de>
To: "Artur R. Czechowski" <arturcz@hell.pl>, 202869-quiet@bugs.debian.org
Cc: 202869-submitter@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#202869: Should MUA only Recommend mail-transfer-agent?
Date: 06 Aug 2003 00:27:33 +0200
> I can imagine a workstation without those packages but it is, IMO,
> mutilated box.

please keep your opinion outside the control file.
cron, at & friends __need__ an MTA (or to be exact:
a /usr/sbin/sendmail app), they will not work without.

mutt can do many nice things without /usr/sbin/sendmail.
a dependency is set if something is always required,
a recommends if is required for the common use, and
a suggestion is used if it improved the functionality.
so depending on mail-transport-agent is wrong,
the recommendation is fine.

or fix the policy to make a clear statement.
in that case maybe you want to reassign the bug.

> BTW, there is no need for exim4-daemon-heavy. There are other lightweight
> MTA's.

I know. but still the dependency dialog is confusing and allmost
all MTA even if not configure add poisen to a clean system
like useless cron jobs, logfile rotation etc.

an unused library only takes up a few inodes and kilobytes
of disk ram and thus is easy to bear. an unused MTA however
is quite a heavy thing compared to that. take a look
at all those silly debconf questions some packages have,
and you know why it is a good thing not to install one
on a system where you don't need it.

> Another solution is to prepare a dummy-mta package, which only
> provides mail-transfer-agent and required by policy /usr/sbin/sendmail
> and /usr/bin/newaliases binaries to do nothing[1].

sounds like shooting in ones foot to me.

If debian has one major policy, it is not to have a policy.
debian does not decide what architecture or window manager
or mail transport agent your want - you can choose. debian
does not decide whether you want a small systme or a big
fat installation - you can choose.

why should debian insist on installing a mail transport
agent where none is needed? and the easy solution is
to relax the dependency to a recommendation. The policy
supports this. Not that the wording in the policy is perfekt,
it could be improved (see my suggestion above) to support
the recommendation or to deny this bug report and put
an explicit dependency in the policy.

sure, this bug report is bigger than mutt, it will affect
many other mail readers and apps everywhere as well.

closing the bug or marking it as whishlist would be wrong.
debian claims not to hide problem. here is one. please 
accept it and handle it. 

Regards, Andreas




Message sent on to Andreas Jellinghaus <aj@dungeon.inka.de>:
Bug#202869. Full text and rfc822 format available.

Message sent on to Andreas Jellinghaus <aj@dungeon.inka.de>:
Bug#202869. Full text and rfc822 format available.

Message #35 received at 202869-submitter@bugs.debian.org (full text, mbox):

From: Steve Lamb <grey@dmiyu.org>
To: "Artur R. Czechowski" <arturcz@hell.pl>
Cc: 202869-submitter@bugs.debian.org,debian-devel@lists.debian.org
Subject: Re: Should MUA only Recommend mail-transfer-agent?
Date: Tue, 5 Aug 2003 15:28:59 -0700
[Message part 1 (text/plain, inline)]
On Tue, 5 Aug 2003 21:42:43 +0200
"Artur R. Czechowski" <arturcz@hell.pl> wrote:
> I would like to know Md's opinion, but for me there are no reasons to relax
> dependencies for mutt (and other MUA). I would not like to do it without
> policy requirements because it concerns also other MUA's.

    But it doesn't really concern other MUAs.  Neither KMail or Sylpheed-claws
have a depends on an MTA.


-- 
         Steve C. Lamb         | I'm your priest, I'm your shrink, I'm your
       PGP Key: 8B6E99C5       | main connection to the switchboard of souls.
	                       |    -- Lenny Nero - Strange Days
-------------------------------+---------------------------------------------
[Message part 2 (application/pgp-signature, inline)]

Information stored:
Bug#202869; Package mutt. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #40 received at 202869-quiet@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: debian-devel@lists.debian.org
Cc: 202869-quiet@bugs.debian.org, 202869-submitter@bugs.debian.org
Subject: Re: Bug#202869: Should MUA only Recommend mail-transfer-agent?
Date: Wed, 6 Aug 2003 02:32:26 +0200
[Message part 1 (text/plain, inline)]
Hi,

[ note that I atm have the tendency to say that the Depends should
  remain... ]

Hans Fugal wrote:
> * Andreas Jellinghaus [Wed,  6 Aug 2003 at 00:27 +0200]
> > mutt can do many nice things without /usr/sbin/sendmail.
> > a dependency is set if something is always required,
> > a recommends if is required for the common use, and

Right,  although I normally, I decide from pkg to pkg with this
and if the feature needing a package is one of main ones
of the software or not. And the MUAs main features are
reading and _sending_ mails....

> > a suggestion is used if it improved the functionality.
> > so depending on mail-transport-agent is wrong,
> > the recommendation is fine.
> Mutt can read mail without an MTA, but cannot send mail without one.

... but this is bullshit.

I don't need a MTA to send my mail with mutt.

I use offlineimap, courier's outbox feature, direct the mail to
the local Outbox[1], synchronize it and the _mail server_ sends it out.

Or if someone accesses IMAP directly it could

set sendmail=/dev/null

and set Fcc to the Outbox which has the same effect.

There are so many possibilities to send mails from mutt without an MTA..

Yes, sure, this is not the "common" configuration, but possible
and the argument that people using mutt _need_ a MTA is evidently
wrong...

Grüße/Regards,

René

[1] set sendmail=~/bin/imap/mailout which contains
safecat /home/rene/Mail/INBOX.Outbox/tmp /home/rene/Mail/INBOX.Outbox/new
hi Omnic :)
-- 
 .''`.  René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73
[Message part 2 (application/pgp-signature, inline)]

Message sent on to Andreas Jellinghaus <aj@dungeon.inka.de>:
Bug#202869. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#202869; Package mutt. Full text and rfc822 format available.

Acknowledgement sent to Marco d'Itri <md@Linux.IT>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #48 received at 202869@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@Linux.IT>
To: "Artur R. Czechowski" <arturcz@hell.pl>
Cc: 202869@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Should MUA only Recommend mail-transfer-agent?
Date: Wed, 6 Aug 2003 13:48:57 +0200
On Aug 05, "Artur R. Czechowski" <arturcz@hell.pl> wrote:

 >I am not convinced to only Recommend on mail-transfer-agent. I rather
 >tend to closing this wishitem or tag it as wontfix.
I'm inclined to close this bug. I agree with the submitter that a local
MTA is not strictly needed to use mutt, but OTOH these situations are
uncommon enough that advanced users can create a package with equivs or
just install one of the minimalist SMTP delivery programs.

-- 
ciao, |
Marco | [1158 brlPjyz4p9Ta.]



Reply sent to "Artur R. Czechowski" <arturcz@hell.pl>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Jellinghaus <aj@dungeon.inka.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #53 received at 202869-done@bugs.debian.org (full text, mbox):

From: "Artur R. Czechowski" <arturcz@hell.pl>
To: 202869-done@bugs.debian.org
Subject: Should MUA only Recommend mail-transfer-agent?
Date: Fri, 5 Sep 2003 20:13:36 +0200
Hello,

In reply to your bug:
http://bugs.debian.org/202869/
I've decided to close it.

Justification:
1. I am not convinced to do it.
2. There was a long discussion about it on debian-devel[1]. Consensus has
   not been reached.

In case you don't agree with this justification you can, of course, reopen
it but, most probably, there will be no attention to it from package's
maintainers except tagging it as "wontfix".

Regards
	Artur

[1] http://lists.debian.org/debian-devel/2003/debian-devel-200308/msg01555.html
-- 
Moje dziecko rano po raz pierwszy powiedziało: "Tatusiu, ale ja nie chcę
jeszcze wstawać do przedszkola". A ja miałem ochotę mu powiedzieć: "Synu,
od dzisiaj będziesz co rano, aż do emerytury miał to parszywe uczucie, że znowu
trzeba wstawać choć jeszcze chciałoby się pospać" - na tym generalnie polega
życie.                                                  /Kuba Chabik/



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:02:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.